Main Page Widgets glibmm Namespaces Book

# wrap.h File Reference

## Namespaces
namespace | Glib
## Typedefs
typedef Glib::ObjectBase*(*) | Glib::WrapNewFunction (GObject*)
## Functions
void | Glib::wrap_register_init ()
void | Glib::wrap_register_cleanup ()
void | Glib::wrap_register (GType type, WrapNewFunction func)
Glib::ObjectBase* | Glib::wrap_auto (GObject* object, bool take_copy=false)
template<class T>
T::BaseObjectType* | Glib::unwrap (T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | Glib::unwrap (const T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | Glib::unwrap (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | Glib::unwrap (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | Glib::unwrap_copy (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.
template<class T>
const T::BaseObjectType* | Glib::unwrap_copy (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.